Get current system metrics for the sandbox including CPU, memory, and disk usage.Documentation Index
Fetch the complete documentation index at: https://docs.hopx.ai/llms.txt
Use this file to discover all available pages before exploring further.
Endpoint
Request
Headers
Example Request
Response
Success (200 OK)
Response Fields
| Field | Type | Description |
|---|---|---|
os | object | Operating system information |
os.name | string | OS name and version |
os.kernel | string | Kernel version |
os.arch | string | System architecture |
hardware | object | Hardware specifications |
hardware.cpu_cores | integer | Number of CPU cores |
hardware.cpu_model | string | CPU model |
hardware.memory_mb | integer | Total memory in MB |
hardware.disk_mb | integer | Total disk space in MB |
network | object | Network configuration |
network.interfaces | array | Network interfaces |
environment | object | Environment configuration |
environment.path | string | System PATH |
capabilities | array | Installed software and tools |
Status Codes
| Code | Description |
|---|---|
| 200 | Success |
| 401 | Unauthorized |
Use Cases
Get System Information
Check Hardware Specs
List Installed Capabilities
Check OS Version
Get Network Configuration
Related
- SDK: sandbox.get_agent_metrics() - Python SDK method
- CLI System Commands - System operations from CLI
Next Steps
- Get Cache Statistics - View cache metrics
- List Processes - View running processes

